const path = require('path');
const config = require('../index.js');

module.exports = {
  mode: config.NODE_ENV,
  devtool: config.NODE_ENV !== 'production' ? 'eval-source-map' : 'none',
  target: 'web',
  context: config.luna_root,
  externals: config.externals,
  resolve: {
    modules: [path.resolve(config.luna_root, 'node_modules'), path.resolve(config.working_path, 'node_modules'), 'node_modules'],
    alias: {
      vue$: config.NODE_ENV === 'production' ? 'vue/dist/vue.min.js' : 'vue/dist/vue.js',
      '@luna': path.resolve(config.luna_root, 'node_modules'),
      '@node_modules': path.resolve(config.working_path, 'node_modules'),
      '@common': path.resolve(config.working_path, 'src/common'),
      '@src': path.resolve(config.working_path, 'src'),
    },
    extensions: ['.wasm', '.mjs', '.js', '.json', '.vue'],
  },
  stats: {
    children: false,
  },
};
