const path = require('path');

const webpack = require('webpack');
const UglifyJsPlugin = require('uglifyjs-webpack-plugin');
const CleanWebpackPlugin = require('clean-webpack-plugin');
const config = require('./index.js');

const webpackConf = require('./module/base.js');

webpackConf.entry = require('./module/entry.js');
webpackConf.module = require('./module/module.js');
webpackConf.output = require('./module/output.js');
webpackConf.plugins = require('./module/plugin.js');
webpackConf.mode = 'production';

webpackConf.plugins.unshift(new CleanWebpackPlugin([config.production_dist], {
  root: config.project_root,
}));
webpackConf.plugins.push(
  new webpack.NoEmitOnErrorsPlugin(),
  new UglifyJsPlugin({
    test: /\.js$/i,
    cache: path.resolve(config.cachePath, 'uglifyjs/'),
    parallel: true,
  }),
);

module.exports = webpackConf;
