const CleanWebpackPlugin = require('clean-webpack-plugin');

const config = require('./index.js');

const webpackConf = require('./module/base.js');

webpackConf.entry = require('./module/entry.js');
webpackConf.output = require('./module/output.js');
webpackConf.module = require('./module/module.js');
webpackConf.plugins = require('./module/plugin.js');

if (config.page === 'all') {
  webpackConf.plugins.unshift(new CleanWebpackPlugin([config.development_dist], {
    root: config.project_root,
  }));
}

if (config.page !== 'all') {
  webpackConf.watch = true;
}

module.exports = webpackConf;
